ghc-7.10.3: The GHC API

Safe Haskell | None
Language | Haskell2010

StgCmmArgRep

# Documentation

data ArgRep

Constructors

P |
N |
L |
V |
F |
D |
V16 |
V32 |
V64 |

Instances

Outputable ArgRep |

toArgRep :: PrimRep -> ArgRep

argRepSizeW :: DynFlags -> ArgRep -> WordOff

argRepString :: ArgRep -> String

isNonV :: ArgRep -> Bool

idArgRep :: Id -> ArgRep

slowCallPattern :: [ArgRep] -> (FastString, RepArity)